package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsWorkshop;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0生产车间管理 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-21
 */
public interface IJsWorkshopService extends IService<JsWorkshop> {

    AjaxResult add(JsWorkshop workshop);

    AjaxResult edit(JsWorkshop workshop);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String workshopName, String workshopNum, String workshopType);

    AjaxResult listAll(String workshopType);
}
